import './assets/css/main.css';
import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import 'virtual:svg-icons-register'
import { i18n } from './i18n';
import { setLang } from './i18n';
import { setupPageConfig } from './utils/pageUtils';
setupPageConfig();
setLang(import.meta.env.VITE_DEFAULT_LANG);
document.title = 'Loading...';


const app = createApp(App);
app.use(i18n)
app.use(createPinia())
app.use(router)
app.mount('#app')
